- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sc::ReplSCMatrixKit Class Reference

The ReplSCMatrixKit produces matrices that work in a many processor environment. More...

`#include <repl.h>`

Inheritance diagram for sc::ReplSCMatrixKit:

List of all members.

## Public Member Functions
| ReplSCMatrixKit (const Ref< KeyVal > &)
SCMatrix * | matrix (const RefSCDimension &, const RefSCDimension &)
| Given the dimensions, create matrices or vectors.
SymmSCMatrix * | symmmatrix (const RefSCDimension &)
DiagSCMatrix * | diagmatrix (const RefSCDimension &)
SCVector * | vector (const RefSCDimension &)

## Detailed Description

The ReplSCMatrixKit produces matrices that work in a many processor environment.

A copy of the entire matrix is stored on each node.

The documentation for this class was generated from the following file:

- repl.h